package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.MpMessageGroupQueryReq;
import com.seer.teach.mp.admin.controller.req.MpMessageGroupReq;
import com.seer.teach.mp.admin.controller.req.MpMessageGroupUpdateReq;
import com.seer.teach.mp.admin.controller.resp.MpMessageGroupResp;
import com.seer.teach.mp.entity.MpMessageGroupEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface MpMessageGroupConvert {


    MpMessageGroupConvert INSTANCE = Mappers.getMapper(MpMessageGroupConvert.class);

    MpMessageGroupResp convertOne(MpMessageGroupEntity req);

    MpMessageGroupEntity convertOne(MpMessageGroupReq req);

    MpMessageGroupEntity convertUpdateOne(MpMessageGroupUpdateReq req);

    MpMessageGroupEntity convertQueryOne(MpMessageGroupQueryReq req);

    List<MpMessageGroupResp> convertRespList(List<MpMessageGroupEntity> list);
}
